Subject: bug#50748: Acknowledgement (28.0.50; tramp-sh.el uses mknod file p which is not available on macos)

From: Damien Merenne <[email-masked]>
Date: Tue, 28 Sep 2021 08:10:27 +0000

Hello,

It's working now:

$ make -C test tramp-tests SELECTOR=tramp-test30-make-process
make: Entering directory '/home/dam/.local/Cellar/emacs/test'
make[1]: Entering directory '/home/dam/.local/Cellar/emacs/test'
  GEN      lisp/net/tramp-tests.log
Running 1 tests (2021-09-28 10:09:22+0200, selector
`tramp-test30-make-process')
   passed  1/1  tramp-test30-make-process (0.585906 sec)

Ran 1 tests, 1 results as expected, 0 unexpected (2021-09-28 10:09:22+0200,
0.586014 sec)

My test is also okay.

A big thank you for your help and time!

-- 
Damien MERENNE   <[email-masked]>

Le dim. 26 sept. 2021 à 08:42, Michael Albinus <[email-masked]> a
écrit :

> Michael Albinus <[email-masked]> writes:
>
> Hi Damien,
>
> >> Here it is, I also attached one with the stty command commented out
> >> for reference.
> >
> > Nothing special in the traces, everything looks normal. So I would apply
> > the following patch, could you pls test?
>
> I have pushed this (slightly extended) to the master branch.
>
> Additionally to your own tests, could you pls also run the following,
> and show the result?
>
> # make -C test tramp-tests SELECTOR=tramp-test30-make-process
>
> I have instrumented this test case for macOS, so I can adapt it for
> proper results then.
>
> Best regards, Michael.
>